org.apache.uima.resource.metadata.impl

## Class NameValuePair_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.resource.metadata.impl.NameValuePair_impl

- All Implemented Interfaces:
    Serializable, Cloneable, MetaDataObject, NameValuePair, XMLizable

      public class NameValuePair_impl
      extends MetaDataObject_impl
      implements NameValuePair

  Reference implementation of `NameValuePair`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameValuePair_impl()` Creates a new `NameValuePair_impl` with a null name and value.
    `NameValuePair_impl(String aName, Object aValue)` Creates a new `NameValuePair_impl` with the specified name and value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the name.
    `Object` | `getValue()` Gets the value.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `void` | `setName(String aName)` Sets the name.
    `void` | `setValue(Object aValue)` Sets the value.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### NameValuePair_impl

          public NameValuePair_impl()

      Creates a new `NameValuePair_impl` with a null name and value.

    - #### NameValuePair_impl

          public NameValuePair_impl(String aName,
                                    Object aValue)

      Creates a new `NameValuePair_impl` with the specified name and value.
      Parameters:
        `aName` - a name
        `aValue` - a value

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the name.
      Specified by:
        `getName` in interface `NameValuePair`
      Returns:
        the name

    - #### setName

          public void setName(String aName)

      Sets the name.
      Specified by:
        `setName` in interface `NameValuePair`
      Parameters:
        `aName` - a name

    - #### getValue

          public Object getValue()

      Gets the value.
      Specified by:
        `getValue` in interface `NameValuePair`
      Returns:
        the value

    - #### setValue

          public void setValue(Object aValue)

      Sets the value.
      Specified by:
        `setValue` in interface `NameValuePair`
      Parameters:
        `aValue` - a value

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.